Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage:

## Public Member Functions
| __construct (UrlRedecoratorInterface $redecorator, DatabaseHandler $dbHandler)
| getNodePathString (VersionInfo $versionInfo)
| Returns the node path string of $versionInfo. More...
| storeImageReference ($uri, $fieldId)
| Stores a reference to the image in $path for $fieldId. More...
| getXmlForImages ($versionNo, array $fieldIds)
| Returns a the XML content stored for the given $fieldIds. More...
| removeImageReferences ($uri, $versionNo, $fieldId)
| Removes all references from $fieldId to a path that starts with $path. More...
| countImageReferences ($uri)
| Returns the number of recorded references to the given $path. More...
| isImageReferenced (string $uri)
| Returns true if there is reference to the given $uri. More...
| getAllVersionsImageXmlForFieldId (int $fieldId)
| updateImageData (int $fieldId, int $versionNo, string $xml)
| getImagesData (int $offset, int $limit)
| updateImagePath (int $fieldId, string $oldPath, string $newPath)
| countDistinctImagesData ()
Public Member Functions inherited from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway
| extractFilesFromXml ($xml)
| Returns the public uris for the images stored in $xml. More...

## Protected Member Functions
| getConnection ()
| Returns the active connection. More...
| canRemoveImageReference ($path, $versionNo, $fieldId)
| Checks if image $path can be removed when deleting $versionNo and $fieldId. More...
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Protected Attributes
| $dbHandler
| $fieldNameMap

## Private Attributes
| $redecorator

## Detailed Description

Deprecated:
  since 6.11.

Use {

See also
  \eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage} instead.

Definition at line 18 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::__construct | ( | UrlRedecoratorInterface | $redecorator,
|  | DatabaseHandler | $dbHandler
| ) |  |

Definition at line 39 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\$dbHandler, and eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\$redecorator.

## Member Function Documentation

## ◆ canRemoveImageReference()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::canRemoveImageReference | ( |  | $path,
|  |  | $versionNo,
|  |  | $fieldId
| ) |  |
| protected

Checks if image $path can be removed when deleting $versionNo and $fieldId.

Parameters

  string | $path | legacy image path (var/storage/images...)
  int | $versionNo |
  mixed | $fieldId |

Returns
  bool

Definition at line 266 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\removeImageReferences().

## ◆ countDistinctImagesData()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::countDistinctImagesData | ( |  | ) |

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 376 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## ◆ countImageReferences()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::countImageReferences | ( |  | $uri | ) |

Returns the number of recorded references to the given $path.

Parameters

  string | $uri | File IO uri (not legacy)

Returns
  int

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 208 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ getAllVersionsImageXmlForFieldId()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::getAllVersionsImageXmlForFieldId | ( | int | $fieldId | ) |

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 344 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## ◆ getConnection()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::getConnection | ( |  | ) |
| protected

Returns the active connection.

Returns
  \eZ\Publish\Core\Persistence\Database\DatabaseHandler

Definition at line 54 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\$dbHandler.

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\canRemoveImageReference(), eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\countImageReferences(), eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getNodePathString(), eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getXmlForImages(), eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\isImageReferenced(), eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\removeImageReferences(), and eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\storeImageReference().

## ◆ getImagesData()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::getImagesData | ( | int | $offset,
|  | int | $limit
| ) |  |

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 360 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## ◆ getNodePathString()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::getNodePathString | ( | VersionInfo | $versionInfo | ) |

Returns the node path string of $versionInfo.

Parameters

  VersionInfo | $versionInfo |

Returns
  string

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 66 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ getXmlForImages()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::getXmlForImages | ( |  | $versionNo,
|  | array | $fieldIds
| ) |  |

Returns a the XML content stored for the given $fieldIds.

Parameters

  int | $versionNo |
  array | $fieldIds |

Returns
  array

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 130 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ isImageReferenced()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::isImageReferenced | ( | string | $uri | ) |

Returns true if there is reference to the given $uri.

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 234 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ removeImageReferences()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::removeImageReferences | ( |  | $uri,
|  |  | $versionNo,
|  |  | $fieldId
| ) |  |

Removes all references from $fieldId to a path that starts with $path.

Parameters

  string | $uri | File IO uri (not legacy)
  int | $versionNo |
  mixed | $fieldId |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 171 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\canRemoveImageReference(), and eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ storeImageReference()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::storeImageReference | ( |  | $uri,
|  |  | $fieldId
| ) |  |

Stores a reference to the image in $path for $fieldId.

Parameters

  string | $uri | File IO uri (not legacy)
  mixed | $fieldId |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 101 of file Image/ImageStorage/Gateway/LegacyStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ updateImageData()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::updateImageData | ( | int | $fieldId,
|  | int | $versionNo,
|  | string | $xml
| ) |  |

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 352 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## ◆ updateImagePath()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::updateImagePath | ( | int | $fieldId,
|  | string | $oldPath,
|  | string | $newPath
| ) |  |

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 368 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## Member Data Documentation

## ◆ $dbHandler

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::$dbHandler
| protected

Definition at line 21 of file Image/ImageStorage/Gateway/LegacyStorage.php.

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\__construct(), and eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\getConnection().

## ◆ $fieldNameMap

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::$fieldNameMap
| protected

Initial value:
= [
'id' => 'fieldId',
'version' => 'versionNo',
'language_code' => 'languageCode',
'path_identification_string' => 'nodePathString',
'data_string' => 'xml',
]

Definition at line 28 of file Image/ImageStorage/Gateway/LegacyStorage.php.

## ◆ $redecorator

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage::$redecorator
| private

Definition at line 37 of file Image/ImageStorage/Gateway/LegacyStorage.php.

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\LegacyStorage\__construct().

The documentation for this class was generated from the following file:

- Image/ImageStorage/Gateway/LegacyStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.